﻿<UserControl x:Class="TouchAndTeachWindows.Menu.MenuButton"
             x:Name="This"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:converter="clr-namespace:TouchAndTeachWindows.Converters"
             d:DesignHeight="70" d:DesignWidth="70"
             mc:Ignorable="d" Background="#00000000" IsManipulationEnabled="True" TouchDown="UserControl_TouchDown" MouseLeftButtonDown="UserControl_MouseLeftButtonDown">
    
    <UserControl.Resources>
        <converter:BooleanToVisibilityConverter x:Key="BooleanToVisibilityConverter" />
    </UserControl.Resources>
    
    <Grid>
        <Rectangle x:FieldModifier="private" x:Name="Selection" Fill="#FFA7C0C5" RadiusX="10" RadiusY="10" Visibility="{Binding ElementName=This, Path=Selected, Converter={StaticResource BooleanToVisibilityConverter}}" />
        <Image Margin="{Binding ElementName=This, Path=IconMargin}" Stretch="UniformToFill" Source="{Binding ElementName=This, Path=Source}" />
        <Control Margin="{Binding ElementName=This, Path=IconMargin}" Template="{Binding ElementName=This, Path=IconTemplate}" Foreground="{Binding ElementName=This, Path=IconColor}" />
    </Grid>
</UserControl>
